Altibase.jdbc.driver

## Class AltibaseDataSourceFactory

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseDataSourceFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public class AltibaseDataSourceFactory
    extends java.lang.Object
    implements javax.naming.spi.ObjectFactory

### Constructor Summary

Constructors
Constructor and Description
`AltibaseDataSourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getObjectInstance(java.lang.Object aReference, javax.naming.Name aName, javax.naming.Context aNameCtx, java.util.Hashtable aEnvironment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AltibaseDataSourceFactory

    public AltibaseDataSourceFactory()

### Method Detail

#### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object aReference,
                                              javax.naming.Name aName,
                                              javax.naming.Context aNameCtx,
                                              java.util.Hashtable aEnvironment)
                                       throws java.lang.Exception

Specified by:
  `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
Throws:
  `java.lang.Exception`